| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMLException Class Reference Inheritance diagram for XMLException: [legend] List of all members.
## Public Member Functions
virtual | ~XMLException ()
virtual const XMLCh * | getType () const =0
XMLExcepts::Codes | getCode () const
const XMLCh * | getMessage () const
const char * | getSrcFile () const
unsigned int | getSrcLine () const
XMLErrorReporter::ErrTypes | getErrorType () const
void | setPosition (const char *const file, const unsigned int line)
| XMLException ()
| XMLException (const char *const srcFile, const unsigned int srcLine, MemoryManager *const memoryManager=0)
| XMLException (const XMLException &toCopy)
XMLException & | operator= (const XMLException &toAssign)
## Static Public Member Functions
static void | reinitMsgMutex ()
static void | reinitMsgLoader ()
## Protected Member Functions
void | loadExceptText (const XMLExcepts::Codes toLoad)
void | loadExceptText (const XMLExcepts::Codes toLoad, const XMLCh *const text1, const XMLCh *const text2=0, const XMLCh *const text3=0, const XMLCh *const text4=0)
void | loadExceptText (const XMLExcepts::Codes toLoad, const char *const text1, const char *const text2=0, const char *const text3=0, const char *const text4=0)
## Protected Attributes
MemoryManager * | fMemoryManager
## Constructor & Destructor Documentation
virtual XMLException::~XMLException | ( |  | ) | `[virtual]`
XMLException::XMLException | ( |  | ) |
XMLException::XMLException | ( | const char *const | srcFile,
|  | const unsigned int | srcLine,
|  | MemoryManager *const | memoryManager = `0` |
| ) |  |  |
XMLException::XMLException | ( | const XMLException & | toCopy | ) |
## Member Function Documentation
virtual const XMLCh* XMLException::getType | ( |  | ) | const`[pure virtual]`
XMLExcepts::Codes XMLException::getCode | ( |  | ) | const
const XMLCh * XMLException::getMessage | ( |  | ) | const
const char * XMLException::getSrcFile | ( |  | ) | const
unsigned int XMLException::getSrcLine | ( |  | ) | const
XMLErrorReporter::ErrTypes XMLException::getErrorType | ( |  | ) | const
void XMLException::setPosition | ( | const char *const | file,
|  | const unsigned int | line |
| ) |  |  |
XMLException& XMLException::operator= | ( | const XMLException & | toAssign | ) |
static void XMLException::reinitMsgMutex | ( |  | ) | `[static]`
static void XMLException::reinitMsgLoader | ( |  | ) | `[static]`
void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad | ) | `[protected]`
void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const XMLCh *const | text1,
|  | const XMLCh *const | text2 = `0`,
|  | const XMLCh *const | text3 = `0`,
|  | const XMLCh *const | text4 = `0` |
| ) |  |  | `[protected]`
void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const char *const | text1,
|  | const char *const | text2 = `0`,
|  | const char *const | text3 = `0`,
|  | const char *const | text4 = `0` |
| ) |  |  | `[protected]`
## Member Data Documentation
MemoryManager* XMLException::fMemoryManager`[protected]`
The documentation for this class was generated from the following file: XMLException.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.